summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Youjie Zhou2014-01-05 04:15:16 +0100
committer Erik Hanson2014-01-07 18:14:00 +0100
commitb824b001bcb008f0315c47325a167c42eabf48aa (patch)
treea19716a377a8bb496cc71d0f8f64a1e8ec2e2926 /graphics
parent28b0b30021f9df5cde39fb859aa2ad1fa24ce864 (diff)
downloadslackbuilds-b824b001bcb008f0315c47325a167c42eabf48aa.tar.gz
graphics/paraview: Added (data analysis and visualization).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/paraview/README6
-rw-r--r--graphics/paraview/paraview.SlackBuild104
-rw-r--r--graphics/paraview/paraview.info10
-rw-r--r--graphics/paraview/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/graphics/paraview/README b/graphics/paraview/README
new file mode 100644
index 0000000000..29b5597534
--- /dev/null
+++ b/graphics/paraview/README
@@ -0,0 +1,6 @@
+ParaView is an open-source, multi-platform data analysis and
+visualization application. ParaView users can quickly build
+visualizations to analyze their data using qualitative and
+quantitative techniques. The data exploration can be done
+interactively in 3D or programmatically using ParaView's batch
+processing capabilities.
diff --git a/graphics/paraview/paraview.SlackBuild b/graphics/paraview/paraview.SlackBuild
new file mode 100644
index 0000000000..dc1ad6a575
--- /dev/null
+++ b/graphics/paraview/paraview.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for ParaView
+
+# Copyright 2014 Youjie Zhou <jmpopusth AT gmail DOT com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=paraview
+VERSION=${VERSION:-4.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Change source package name
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="64bit"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ printf "\n$ARCH is unsupported for ParaView...\n\n"
+ exit 1
+else
+ SRCARCH="32bit"
+ LIBDIRSUFFIX=""
+fi
+
+# Construct the name of the tarball
+TARNAME="ParaView-${VERSION}-Linux-${SRCARCH}"
+if [ ! -r $TARNAME.tar.gz ]; then
+ echo "$TARNAME not found"
+ exit 1
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAME
+tar xvf $CWD/$TARNAME.tar.gz
+
+cd $TARNAME
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/opt/$PRGNAM$VERSION
+mv * $PKG/opt/$PRGNAM$VERSION/
+
+# Because paraview uses relative path in its codes, we have to create
+# small launcher scripts
+mkdir -p $PKG/usr/bin
+cd $PKG/usr/bin/
+for FILE in $PKG/opt/$PRGNAM$VERSION/bin/* ; do
+ NAME=$(basename $FILE)
+ echo /opt/$PRGNAM$VERSION/bin/$NAME > $NAME
+ chmod +x $NAME ;
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/$PRGNAM$VERSION/
+mv doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf doc/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/paraview/paraview.info b/graphics/paraview/paraview.info
new file mode 100644
index 0000000000..e9dbd33b9f
--- /dev/null
+++ b/graphics/paraview/paraview.info
@@ -0,0 +1,10 @@
+PRGNAM="paraview"
+VERSION="4.0.1"
+HOMEPAGE="http://www.paraview.org/"
+DOWNLOAD="http://cse.sc.edu/~zhou42/data/ParaView-4.0.1-Linux-32bit.tar.gz"
+MD5SUM="3e2521b1e5cc8435791002f9203fe5fd"
+DOWNLOAD_x86_64="http://cse.sc.edu/~zhou42/data/ParaView-4.0.1-Linux-64bit.tar.gz"
+MD5SUM_x86_64="0a9be32f8b8e7008e16646027cf65432"
+REQUIRES=""
+MAINTAINER="Youjie Zhou"
+EMAIL="jmpopush@gmail.com"
diff --git a/graphics/paraview/slack-desc b/graphics/paraview/slack-desc
new file mode 100644
index 0000000000..d4d64749ba
--- /dev/null
+++ b/graphics/paraview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+paraview: paraview (multi-platform data analysis and visualization application)
+paraview:
+paraview: ParaView is an open-source, multi-platform data analysis and
+paraview: visualization application. ParaView users can quickly build
+paraview: visualizations to analyze their data using qualitative and
+paraview: quantitative techniques. The data exploration can be done
+paraview: interactively in 3D or programmatically using ParaView's batch
+paraview: processing capabilities.
+paraview:
+paraview: Homepage: http://www.paraview.org/
+paraview: